#include "mainwindow.h"

#include <QApplication>

#include <Log.h>

int main(int argc, char *argv[])
{
	if(argc < 1) {
		return -1;
	}

	Log::init();
	Log::setColoredOutput(true);
	Log::setConsoleLogLevel(Log::Level::TRACE);

	QApplication a(argc, argv);
	MainWindow w(argv[0]);
	w.show();
	int result = a.exec();

	Log::stop();
	return result;
}
